Bug 5064 - Touchpad on PEGATRON C15B notebook doesn't work
: Touchpad on PEGATRON C15B notebook doesn't work
Status: RESOLVED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Hardware
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: Groups for solving hardware issues.
: Eugene Shatokhin
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2015-02-17 22:05 MSK by Andrey Ponomarenko
Modified: 2015-02-26 13:57 MSK (History)
0 users

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andrey Ponomarenko 2015-02-17 22:05:17 MSK
Description of problem:

Touchpad on PEGATRON C15B notebook doesn't work. Also it's not detected by hwinfo.

Verified on two similar notebooks:

HW probe (PEGATRON C15B #1): http://hw.rosalinux.ru/index.php?probe=35df21a6f9
HW probe (PEGATRON C15B #2): http://hw.rosalinux.ru/index.php?probe=691e64e82f

Version-Release number of selected component (if applicable): R5


How reproducible: always


Steps to Reproduce:
1.
2.
3.
Comment 1 Andrey Ponomarenko 2015-02-24 18:25:59 MSK
Kernel bug: https://bugzilla.kernel.org/show_bug.cgi?id=93791
Comment 2 Andrey Ponomarenko 2015-02-26 13:32:38 MSK
The issue has been fixed by adding i8042.noloop=1 kernel boot option.

One can add this option permanently to the grub by executing these commands:

  sudo grub2-cfg-mod --add i8042.noloop=1
  sudo update-grub2

And reboot.

HW probe: http://hw.rosalinux.ru/index.php?probe=95c77fb200